Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class EntryTransaction3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.EntryTransaction3

public class EntryTransaction3 extends Object

Java class for EntryTransaction3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EntryTransaction3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Refs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TransactionReferences3" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CreditDebitCode"/>
             <element name="AmtDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}AmountAndCurrencyExchange3" minOccurs="0"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CashBalanceAvailability2" maxOccurs="unbounded" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}BankTransactionCodeStructure4" minOccurs="0"/>
             <element name="Chrgs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Charges3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TransactionInterest3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="RltdPties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TransactionParties3" minOccurs="0"/>
             <element name="RltdAgts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TransactionAgents3" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Purpose2Choice" minOccurs="0"/>
             <element name="RltdRmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}RemittanceLocation2" maxOccurs="10" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}RemittanceInformation7" minOccurs="0"/>
             <element name="RltdDts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TransactionDates2" minOccurs="0"/>
             <element name="RltdPric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TransactionPrice3Choice" minOccurs="0"/>
             <element name="RltdQties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TransactionQuantities2Choice" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FinInstrmId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}SecurityIdentification14" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TaxInformation3" minOccurs="0"/>
             <element name="RtrInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}PaymentReturnReason2" minOccurs="0"/>
             <element name="CorpActn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CorporateAction9" minOccurs="0"/>
             <element name="SfkpgAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}SecuritiesAccount13" minOccurs="0"/>
             <element name="CshDpst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CashDeposit1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CardTx" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CardTransaction1" minOccurs="0"/>
             <element name="AddtlTxInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`addtlTxInf`
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected AmountAndCurrencyExchange3`
`amtDtls`
`protected List<CashBalanceAvailability2>`
`avlbty`
`protected BankTransactionCodeStructure4`
`bkTxCd`
`protected CardTransaction1`
`cardTx`
`protected CreditDebitCode`
`cdtDbtInd`
`protected List<Charges3>`
`chrgs`
`protected CorporateAction9`
`corpActn`
`protected List<CashDeposit1>`
`cshDpst`
`protected SecurityIdentification14`
`finInstrmId`
`protected List<TransactionInterest3>`
`intrst`
`protected Purpose2Choice`
`purp`
`protected TransactionReferences3`
`refs`
`protected TransactionAgents3`
`rltdAgts`
`protected TransactionDates2`
`rltdDts`
`protected TransactionPrice3Choice`
`rltdPric`
`protected TransactionParties3`
`rltdPties`
`protected List<TransactionQuantities2Choice>`
`rltdQties`
`protected List<RemittanceLocation2>`
`rltdRmtInf`
`protected RemittanceInformation7`
`rmtInf`
`protected PaymentReturnReason2`
`rtrInf`
`protected SecuritiesAccount13`
`sfkpgAcct`
`protected TaxInformation3`
`tax`

## Constructor Summary

Constructors
Constructor
Description
`EntryTransaction3()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddtlTxInf()`
Gets the value of the addtlTxInf property.
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`AmountAndCurrencyExchange3`
`getAmtDtls()`
Gets the value of the amtDtls property.
`List<CashBalanceAvailability2>`
`getAvlbty()`
Gets the value of the avlbty property.
`BankTransactionCodeStructure4`
`getBkTxCd()`
Gets the value of the bkTxCd property.
`CardTransaction1`
`getCardTx()`
Gets the value of the cardTx property.
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`List<Charges3>`
`getChrgs()`
Gets the value of the chrgs property.
`CorporateAction9`
`getCorpActn()`
Gets the value of the corpActn property.
`List<CashDeposit1>`
`getCshDpst()`
Gets the value of the cshDpst property.
`SecurityIdentification14`
`getFinInstrmId()`
Gets the value of the finInstrmId property.
`List<TransactionInterest3>`
`getIntrst()`
Gets the value of the intrst property.
`Purpose2Choice`
`getPurp()`
Gets the value of the purp property.
`TransactionReferences3`
`getRefs()`
Gets the value of the refs property.
`TransactionAgents3`
`getRltdAgts()`
Gets the value of the rltdAgts property.
`TransactionDates2`
`getRltdDts()`
Gets the value of the rltdDts property.
`TransactionPrice3Choice`
`getRltdPric()`
Gets the value of the rltdPric property.
`TransactionParties3`
`getRltdPties()`
Gets the value of the rltdPties property.
`List<TransactionQuantities2Choice>`
`getRltdQties()`
Gets the value of the rltdQties property.
`List<RemittanceLocation2>`
`getRltdRmtInf()`
Gets the value of the rltdRmtInf property.
`RemittanceInformation7`
`getRmtInf()`
Gets the value of the rmtInf property.
`PaymentReturnReason2`
`getRtrInf()`
Gets the value of the rtrInf property.
`SecuritiesAccount13`
`getSfkpgAcct()`
Gets the value of the sfkpgAcct property.
`TaxInformation3`
`getTax()`
Gets the value of the tax property.
`void`
`setAddtlTxInf(String value)`
Sets the value of the addtlTxInf property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setAmtDtls(AmountAndCurrencyExchange3 value)`
Sets the value of the amtDtls property.
`void`
`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
`setCardTx(CardTransaction1 value)`
Sets the value of the cardTx property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
`setCorpActn(CorporateAction9 value)`
Sets the value of the corpActn property.
`void`
`setFinInstrmId(SecurityIdentification14 value)`
Sets the value of the finInstrmId property.
`void`
`setPurp(Purpose2Choice value)`
Sets the value of the purp property.
`void`
`setRefs(TransactionReferences3 value)`
Sets the value of the refs property.
`void`
`setRltdAgts(TransactionAgents3 value)`
Sets the value of the rltdAgts property.
`void`
`setRltdDts(TransactionDates2 value)`
Sets the value of the rltdDts property.
`void`
`setRltdPric(TransactionPrice3Choice value)`
Sets the value of the rltdPric property.
`void`
`setRltdPties(TransactionParties3 value)`
Sets the value of the rltdPties property.
`void`
`setRmtInf(RemittanceInformation7 value)`
Sets the value of the rmtInf property.
`void`
`setRtrInf(PaymentReturnReason2 value)`
Sets the value of the rtrInf property.
`void`
`setSfkpgAcct(SecuritiesAccount13 value)`
Sets the value of the sfkpgAcct property.
`void`
`setTax(TaxInformation3 value)`
Sets the value of the tax property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### refs

protected TransactionReferences3 refs

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

### amtDtls

protected AmountAndCurrencyExchange3 amtDtls

### avlbty

protected List<CashBalanceAvailability2> avlbty

### bkTxCd

protected BankTransactionCodeStructure4 bkTxCd

### chrgs

protected List<Charges3> chrgs

### intrst

protected List<TransactionInterest3> intrst

### rltdPties

protected TransactionParties3 rltdPties

### rltdAgts

protected TransactionAgents3 rltdAgts

### purp

protected Purpose2Choice purp

### rltdRmtInf

protected List<RemittanceLocation2> rltdRmtInf

### rmtInf

protected RemittanceInformation7 rmtInf

### rltdDts

protected TransactionDates2 rltdDts

### rltdPric

protected TransactionPrice3Choice rltdPric

### rltdQties

protected List<TransactionQuantities2Choice> rltdQties

### finInstrmId

protected SecurityIdentification14 finInstrmId

### tax

protected TaxInformation3 tax

### rtrInf

protected PaymentReturnReason2 rtrInf

### corpActn

protected CorporateAction9 corpActn

### sfkpgAcct

protected SecuritiesAccount13 sfkpgAcct

### cshDpst

protected List<CashDeposit1> cshDpst

### cardTx

protected CardTransaction1 cardTx

### addtlTxInf

protected String addtlTxInf

## Constructor Details

### EntryTransaction3

public EntryTransaction3()

## Method Details

### getRefs

public TransactionReferences3 getRefs()
Gets the value of the refs property.

Returns:
  possible object is `TransactionReferences3`

### setRefs

public void setRefs(TransactionReferences3 value)
Sets the value of the refs property.

Parameters:
  `value` - allowed object is `TransactionReferences3`

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

### getAmtDtls

public AmountAndCurrencyExchange3 getAmtDtls()
Gets the value of the amtDtls property.

Returns:
  possible object is `AmountAndCurrencyExchange3`

### setAmtDtls

public void setAmtDtls(AmountAndCurrencyExchange3 value)
Sets the value of the amtDtls property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchange3`

### getAvlbty

public List<CashBalanceAvailability2> getAvlbty()
Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability2`

### getBkTxCd

public BankTransactionCodeStructure4 getBkTxCd()
Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure4`

### setBkTxCd

public void setBkTxCd(BankTransactionCodeStructure4 value)
Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure4`

### getChrgs

public List<Charges3> getChrgs()
Gets the value of the chrgs property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the chrgs property.

For example, to add a new item, do as follows:

        getChrgs().add(newItem);

Objects of the following type(s) are allowed in the list `Charges3`

### getIntrst

public List<TransactionInterest3> getIntrst()
Gets the value of the intrst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intrst property.

For example, to add a new item, do as follows:

        getIntrst().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionInterest3`

### getRltdPties

public TransactionParties3 getRltdPties()
Gets the value of the rltdPties property.

Returns:
  possible object is `TransactionParties3`

### setRltdPties

public void setRltdPties(TransactionParties3 value)
Sets the value of the rltdPties property.

Parameters:
  `value` - allowed object is `TransactionParties3`

### getRltdAgts

public TransactionAgents3 getRltdAgts()
Gets the value of the rltdAgts property.

Returns:
  possible object is `TransactionAgents3`

### setRltdAgts

public void setRltdAgts(TransactionAgents3 value)
Sets the value of the rltdAgts property.

Parameters:
  `value` - allowed object is `TransactionAgents3`

### getPurp

public Purpose2Choice getPurp()
Gets the value of the purp property.

Returns:
  possible object is `Purpose2Choice`

### setPurp

public void setPurp(Purpose2Choice value)
Sets the value of the purp property.

Parameters:
  `value` - allowed object is `Purpose2Choice`

### getRltdRmtInf

public List<RemittanceLocation2> getRltdRmtInf()
Gets the value of the rltdRmtInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdRmtInf property.

For example, to add a new item, do as follows:

        getRltdRmtInf().add(newItem);

Objects of the following type(s) are allowed in the list `RemittanceLocation2`

### getRmtInf

public RemittanceInformation7 getRmtInf()
Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation7`

### setRmtInf

public void setRmtInf(RemittanceInformation7 value)
Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation7`

### getRltdDts

public TransactionDates2 getRltdDts()
Gets the value of the rltdDts property.

Returns:
  possible object is `TransactionDates2`

### setRltdDts

public void setRltdDts(TransactionDates2 value)
Sets the value of the rltdDts property.

Parameters:
  `value` - allowed object is `TransactionDates2`

### getRltdPric

public TransactionPrice3Choice getRltdPric()
Gets the value of the rltdPric property.

Returns:
  possible object is `TransactionPrice3Choice`

### setRltdPric

public void setRltdPric(TransactionPrice3Choice value)
Sets the value of the rltdPric property.

Parameters:
  `value` - allowed object is `TransactionPrice3Choice`

### getRltdQties

public List<TransactionQuantities2Choice> getRltdQties()
Gets the value of the rltdQties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdQties property.

For example, to add a new item, do as follows:

        getRltdQties().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionQuantities2Choice`

### getFinInstrmId

public SecurityIdentification14 getFinInstrmId()
Gets the value of the finInstrmId property.

Returns:
  possible object is `SecurityIdentification14`

### setFinInstrmId

public void setFinInstrmId(SecurityIdentification14 value)
Sets the value of the finInstrmId property.

Parameters:
  `value` - allowed object is `SecurityIdentification14`

### getTax

public TaxInformation3 getTax()
Gets the value of the tax property.

Returns:
  possible object is `TaxInformation3`

### setTax

public void setTax(TaxInformation3 value)
Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxInformation3`

### getRtrInf

public PaymentReturnReason2 getRtrInf()
Gets the value of the rtrInf property.

Returns:
  possible object is `PaymentReturnReason2`

### setRtrInf

public void setRtrInf(PaymentReturnReason2 value)
Sets the value of the rtrInf property.

Parameters:
  `value` - allowed object is `PaymentReturnReason2`

### getCorpActn

public CorporateAction9 getCorpActn()
Gets the value of the corpActn property.

Returns:
  possible object is `CorporateAction9`

### setCorpActn

public void setCorpActn(CorporateAction9 value)
Sets the value of the corpActn property.

Parameters:
  `value` - allowed object is `CorporateAction9`

### getSfkpgAcct

public SecuritiesAccount13 getSfkpgAcct()
Gets the value of the sfkpgAcct property.

Returns:
  possible object is `SecuritiesAccount13`

### setSfkpgAcct

public void setSfkpgAcct(SecuritiesAccount13 value)
Sets the value of the sfkpgAcct property.

Parameters:
  `value` - allowed object is `SecuritiesAccount13`

### getCshDpst

public List<CashDeposit1> getCshDpst()
Gets the value of the cshDpst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cshDpst property.

For example, to add a new item, do as follows:

        getCshDpst().add(newItem);

Objects of the following type(s) are allowed in the list `CashDeposit1`

### getCardTx

public CardTransaction1 getCardTx()
Gets the value of the cardTx property.

Returns:
  possible object is `CardTransaction1`

### setCardTx

public void setCardTx(CardTransaction1 value)
Sets the value of the cardTx property.

Parameters:
  `value` - allowed object is `CardTransaction1`

### getAddtlTxInf

public String getAddtlTxInf()
Gets the value of the addtlTxInf property.

Returns:
  possible object is `String`

### setAddtlTxInf

public void setAddtlTxInf(String value)
Sets the value of the addtlTxInf property.

Parameters:
  `value` - allowed object is `String`